%define major 2
%define libname %mklibname gringotts %{major}
%define develname %mklibname gringotts -d

Name:           libgringotts
Version:        1.2.1
Release:        %mkrel 14
Summary:        A data encapsulation and encryption library
Group:          System/Libraries
License:        GPLv2+
Url:            http://gringotts.berlios.de/
Source0:        http://download.berlios.de/gringotts/%{name}-%{version}.tar.bz2

BuildRequires:  libmcrypt-devel
BuildRequires:  mhash-devel
BuildRequires:  pkgconfig(zlib)
BuildRequires:  bzip2-devel

%description
A small, easy-to-use, thread-safe C library originally developed for
Gringotts; its purpose is to encapsulate data (generic: ASCII but
also binary data) in an encrypted and compressed file. It uses strong
encryption algorithms, to ensure the data is as safe as possible, and
allows the user to have the complete control over all the algorithms
used in the process.

%package -n %{libname}
Summary:        A data encapsulation and encryption library
Group:          System/Libraries

%description -n %{libname}
A small, easy-to-use, thread-safe C library originally developed for
Gringotts; its purpose is to encapsulate data (generic: ASCII but
also binary data) in an encrypted and compressed file. It uses strong
encryption algorithms, to ensure the data is as safe as possible, and
allows the user to have the complete control over all the algorithms
used in the process.

%package -n %{develname}
Summary:        Development files for the libgringotts library
Group:          Development/C

Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}gringotts-static-devel < 1.2.1-9

%description -n %{develname}
This package provides development files for the libgringotts library.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

# remove installed doc files
rm -rf %{buildroot}%{_defaultdocdir}/%{name}-%{version}

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog README TODO docs/manual.htm
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{develname}
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.2.1-14.mga10
+ Revision: 2196231
- Mageia 10 Mass Rebuild

* Fri Mar 18 2022 umeabot <umeabot> 1.2.1-13.mga9
+ Revision: 1797703
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.2.1-12.mga8
+ Revision: 1514117
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.2.1-11.mga7
+ Revision: 1298886
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 wally <wally> 1.2.1-10.mga7
+ Revision: 1235657
- really fix build on aarch64

* Sat Jun 09 2018 wally <wally> 1.2.1-9.mga7
+ Revision: 1235655
- fix build on aarch64
- disable static build and drop .la files
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 05 2016 umeabot <umeabot> 1.2.1-8.mga6
+ Revision: 936749
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-7.mga5
+ Revision: 744810
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-6.mga5
+ Revision: 681508
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.1-5.mga4
+ Revision: 507062
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2.1-4.mga3
+ Revision: 357382
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 29 2011 barjac <barjac> 1.2.1-3.mga2
+ Revision: 174309
- Bump release to one above mga1
- Bump release above 2010.2

* Tue Nov 29 2011 barjac <barjac> 1.2.1-1.mga2
+ Revision: 174118
- imported package libgringotts


* Tue Nov 29 2011 Barry Jackson <zen25000[at]zen.co.uk> 1.2.1-1.mga2
- Imported libgringotts. Removed BR textutils (included in coreutils)

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-2mdv2011.0
+ Revision: 609751
- rebuild

* Mon Jan 18 2010 JM-CM-)rM-CM-4me Brenier <incubusss@mandriva.org> 1.2.1-1mdv2010.1
+ Revision: 492926
- import libgringotts


